Last Comment Bug 618325 - Web Console use of tab for command line completion is inconsistent
: Web Console use of tab for command line completion is inconsistent
Status: RESOLVED FIXED
[Web-Console-Testday]
: uiwanted
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: Trunk
: x86_64 Linux
: -- minor (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: J. Ryan Stinnett [:jryans] (use ni?)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-10 09:13 PST by B.J. Herbison
Modified: 2011-07-06 15:59 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description B.J. Herbison 2010-12-10 09:13:46 PST
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.2.13) Gecko/20101206 Ubuntu/10.10 (maverick) Firefox/3.6.13 ( .NET CLR 3.5.30729; .NET4.0C)
Build Identifier: Mozilla/5.0 (X11; Linux x86_64; rv:2.0b8pre) Gecko/20101209 Firefox/4.0b8pre ID:20101209030340

Sometimes the Web Console completes a word with tab, and sometimes it goes to the next element.

For example, open the console with control-shift-K and type "cons" and "ole" will show up in gray and with "<tab>" and the word console will be completed.

Now type "." to the end of "console" and "classID" will show up in gray. Based on the previous behavior I expected <tab> to complete "classID", but instead "classID" was replaced with "error".

Reproducible: Always
Comment 1 Kevin Dangoor 2010-12-15 10:15:40 PST
I agree that this seems inconsistent. We'll have to think about alternatives (suggestions welcome)
Comment 2 Rob Campbell [:rc] (:robcee) 2010-12-15 17:41:25 PST
It seems inconsistent until you understand what's happening. The tab key will iterate through the list of available properties if there is more than one. After completing "console" and entering a '.', you'll iterate through each of the properties. If you type a character, it will iterate through any remaining properties until you type another matching character, eventually with only one completion left, tab will finish the completion.

I think the best way to fix this would be to implement an actual popup showing the available completions in a list.

Requestion UI feedback for comments.
Comment 3 Dave Camp (:dcamp) 2011-07-06 13:13:44 PDT
We have a popup now
Comment 4 Rob Campbell [:rc] (:robcee) 2011-07-06 15:59:41 PDT
fixed by autocompletion popup.

Note You need to log in before you can comment on or make changes to this bug.